Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.net.http
Class KeepAliveCache

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--weblogic.net.http.KeepAliveCache

public class KeepAliveCache
extends java.util.Hashtable

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`KeepAliveCache()` Constructor

Method Summary
`java.lang.Object` | `get(java.net.URL url)` Check to see if this URL has a cached HttpClient
`void` | `put(java.net.URL url, HttpClient http)` Register this URL and HttpClient (that supports keep-alive) with the cache
`void` | `remove(java.net.URL url)`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeepAliveCache

    public KeepAliveCache()

  Constructor

Method Detail

### put

    public void put(java.net.URL url,
                    HttpClient http)

  Register this URL and HttpClient (that supports keep-alive) with the cache

  Parameters:
    `url` - The URL contains info about the host and port
    `http` - The HttpClient to be cached

### get

    public java.lang.Object get(java.net.URL url)

  Check to see if this URL has a cached HttpClient

### remove

    public void remove(java.net.URL url)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD